<template>
    <tr>
        <td class="text-center">{{index}}</td>
        <td>{{task.name}}</td>
        <td class="text-center">
            <span class="badge " v-bind:class="getClassName">{{getlevelName}}</span></td>
        <td>
            <button type="button" class="btn btn-warning">Edit</button>
            <button 
            v-on:click="handelDelete"
            type="button" class="btn btn-danger">Delete</button>
        </td>
    </tr>
</template>

<script>
import mapLevel from '../mocks/level.js';
export default {
    name: 'todo-list-item',
    props:['task','index'],
    computed: {
        
    },
    data() {
        return {
           mapLevel: mapLevel
        }
    },
    computed: {
        getClassName(){
             return this.mapLevel[this.task.level].class
            
        },
        getlevelName(){
            return this.mapLevel[this.task.level].name
            
        },
    },
    methods: {
        handelDelete(){
            if(confirm('Bạn có muốn xóa task' + this.task.name)){
                this.$emit('handelDelete',this.task)
            }
            
        }
       
    }
}
</script>

<style>

</style>
